Skip to main content
GET
Get a portal

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
string
required

The slug identifier of the portal

Query Parameters

locale
string

Restrict the article counts in meta to one locale. Defaults to counting every locale.

Response

Success

id
integer

The ID of the portal

archived
boolean

Whether the portal is archived

color
string | null

The color code for the portal

config
object

Configuration settings for the portal

custom_domain
string | null

Custom domain for the portal

header_text
string | null

The header text for the portal

Homepage link for the portal

name
string

Name of the portal

slug
string

URL slug for the portal

page_title
string | null

Page title for the portal

account_id
integer

ID of the account the portal belongs to

inbox
object
meta
object